## udunits 1.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: udunits
 Title: interface to Unidata's routines to convert units
 Maintainer: David Pierce <dpierce@ucsd.edu>
-Version: 1.2
+Version: 1.3
 Author: David Pierce
 Description: This package provides an R interface to the Unidata
   udunits library routines, which can convert quantities between various units.
@@ -18,6 +18,8 @@
   "10 kg-m/sec2", "10 kg m/s^2", "(PI radian)2", "degF", "degC", "100rpm",
   "geopotential meters", "33 feet water".  Note that the udunits library
   must already be installed on your machine for this package to work.
+  Change log: v1.3: added support for non-standard calendars in routine
+  'utCalendar'.
 License: GPL version 2 or newer
 URL: http://www.unidata.ucar.edu/packages/udunits/
-Packaged: Wed May 18 10:23:12 2005; root
+Packaged: Thu Sep 21 09:21:52 2006; root
