## udunits 2.1.8

=== debian/changelog ===
udunits (2.1.8-4) unstable; urgency=low

  * Move to source format 3.0
  * Remove built-in expat, instead use Debian library version. Closes: #560922.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 17 Dec 2009 21:52:22 +0000

udunits (2.1.8-3) unstable; urgency=low

  * Add autoreconf, to ensure build works.
  * Add missing -dev documentation (pdf, info files). 

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 08 Nov 2009 17:34:17 +0000

udunits (2.1.8-2) unstable; urgency=low

  * FTBFS: automake,texlive needed in Build-Depends. Closes: #535653, #545259.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 11 Sep 2009 21:49:03 +0100

udunits (2.1.8-1) unstable; urgency=low

  * New upstream release.
  * Add autoconf to Build-Depends: 
  * Add dpkg (>= 1.15.4) | install-info as required by policy. (Thanks Lintian). 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 08 Sep 2009 14:15:15 +0100

udunits (2.1.7-1) unstable; urgency=low

  * Initial release. (Closes: #532430)
  * Changes since REJECTED:
   - Added necessary download location to  debian/copyright
   - Moved to Standards-Release 3.8.3.
   - Add DEB_AUTO_UPDATE_LIBTOOL to debian/rules to fix libtool version skew.
   - Add expat copyright tdebian/copyright. 
   - Add autoreconf, to cope with libtool changes in build environmnent.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 02 Sep 2009 19:57:57 +0100
