=== debian/control ===
Source: udunits
Section: utils
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: cdbs, debhelper (>> 7), gfortran, libexpat-dev, libcunit1, libcunit1-dev, texinfo, libtool, autotools-dev, autoconf, automake, texlive
Standards-Version: 3.8.3
Homepage: http://www.unidata.ucar.edu/software/udunits/

Package: libudunits2-0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, dpkg (>= 1.15.4) | install-info
Description: Library for handling of units of physical quantities
 The UDUNITS package supports units of physical quantities (e.g., meters, 
 seconds).  Specifically, it supports conversion between string and binary 
 representations of units, arithmetic manipulation of units, and conversion of 
 numeric values between compatible units. The package is written in the 
 C programming language.

Package: libudunits2-dev
Section: libdevel
Architecture: any
Depends: libudunits2-0 ( = ${binary:Version}), ${misc:Depends}
Recommends: pkg-config
Description: Development files for the libunits physical units package
 The UDUNITS package supports units of physical quantities (e.g., meters, 
 seconds).  Specifically, it supports conversion between string and binary 
 representations of units, arithmetic manipulation of units, and conversion of 
 numeric values between compatible units. The package is written in the 
 C programming language.
 .
 This package provides the include files and static libraries for development.

Package: udunits-bin
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, dpkg (>= 1.15.4) | install-info
Description: Utility for handling units of physical quantities
 udunits is a utility  for handling units of physical quantities. It supports 
 conversion between string and binary representations of units,
 arithmetic manipulation of units, and conversion of numeric values between 
 compatible units. The package is written in the C programming language.
