=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
# include /usr/share/cdbs/1/rules/simple-patchsys.mk

DEB_MAKE_CHECK_TARGET := check
DEB_MAKE_CLEAN_TARGET := clean distclean maintainer-clean
DEB_INSTALL_CHANGELOGS_ALL := CHANGE_LOG
DEB_CONFIGURE_EXTRA_FLAGS := --datarootdir=/usr/share/xml
DEB_AUTO_UPDATE_LIBTOOL := pre


post-patches::
	libtoolize -c -f
	autoreconf -if

install/libudunits2-0::
	$(MAKE) pdf html info
	cp udunits2.info debian/libudunits2-0/usr/share/info

install/udunits-bin::
	cp prog/*info debian/udunits-bin/usr/share/info
