## udunits 2.1.15

=== debian/changelog ===
udunits (2.1.15-4) unstable; urgency=low

  * Add patch from Stefan Tibus to fix typo in definition. Closes: #585848. 

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 19 Jun 2010 19:53:50 +0100

udunits (2.1.15-3) unstable; urgency=low

  * Fix typo in static libs definition of udunits.pc. 

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 09 Jun 2010 18:41:47 +0100

udunits (2.1.15-2) unstable; urgency=low

  * Add udunits.pc pkg-config file.  Used in cmor package among others.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 06 Jun 2010 21:09:26 +0100

udunits (2.1.15-1) unstable; urgency=low

  * New upstream release. 

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 03 Jun 2010 20:18:44 +0100

udunits (2.1.14-1) unstable; urgency=low

  * New upstream.
  * Move to Standards-Version: 3.8.4. 
  * Now in Source format 3.0

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 22 Apr 2010 10:52:04 +0100
