=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: cdbs, debhelper (>> 7), gfortran, libexpat-dev, libcunit1, libcunit1-dev, texinfo, libtool, autotools-dev, autoconf, automake, texlive
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Homepage: http://www.unidata.ucar.edu/software/udunits/
 
 Package: libudunits2-0
