## udunits 2.1.23

=== debian/changelog ===
udunits (2.1.23-4) unstable; urgency=low

  * Standards-Version: 3.9.4
  * debhelper version 9, Add dependency on 9 now.
  * Pass LDFLAGS properly, to enable hardening.
  * Remove M-A: same from -dev package. Closes: #706168.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 24 May 2013 09:10:22 +0100

udunits (2.1.23-3) unstable; urgency=low

  * ld-as-needed patch not robust. Use new dh_autoreconf --as-needed
    method. Closes: #652223* 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 16 Dec 2011 12:03:35 +0000

udunits (2.1.23-2) unstable; urgency=low

  * Move to debhelper >> 7, from cdbs.
  * Add LDFLAGS=" -Wl,--as-needed" to remove unnecessary dependencies.
    Include patch to fix libtool reordering.
  * Multiarch support. 
  * Docs: Add BACKLOG to docs; ship less docs in library, but all docs
    in -dev and -bin packages. 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 13 Sep 2011 10:04:53 +0100

udunits (2.1.23-1) unstable; urgency=low

  * New upstream release. Library version number 0.0.0 -> 0.1.0
  * Move Standards-Version: 3.9.2 

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 18 Jun 2011 04:56:19 +0100
