=== debian/control ===
--- 
+++ 
@@ -2,13 +2,15 @@
 Section: utils
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: cdbs, debhelper (>> 7), gfortran, libexpat-dev, libcunit1, libcunit1-dev, texinfo, libtool, autotools-dev, autoconf, automake, texlive
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 9), gfortran, libexpat-dev, libcunit1, libcunit1-dev, texinfo, libtool, autotools-dev, autoconf, automake, texlive, , dh-autoreconf (>= 4~)
+Standards-Version: 3.9.4
 Homepage: http://www.unidata.ucar.edu/software/udunits/
 
 Package: libudunits2-0
 Section: libs
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}, dpkg (>= 1.15.4) | install-info
 Description: Library for handling of units of physical quantities
  The UDUNITS package supports units of physical quantities (e.g., meters, 
@@ -34,6 +36,7 @@
 Package: udunits-bin
 Section: utils
 Architecture: any
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}, dpkg (>= 1.15.4) | install-info
 Description: Utility for handling units of physical quantities
  udunits is a utility  for handling units of physical quantities. It supports
