=== debian/changelog ===
udunits (2.2.0-1) unstable; urgency=medium

  * New upstream release. Refresth pkg-config patch.
  * Standards-Version: 3.9.5
  * config_fixes.patch needed for autoreconf to work

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 31 Dec 2013 00:20:27 +0000
