=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper (>= 9), gfortran, libexpat-dev, libcunit1, libcunit1-dev, texinfo, libtool, autotools-dev, autoconf, automake, texlive, , dh-autoreconf (>= 4~)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.unidata.ucar.edu/software/udunits/
 
 Package: libudunits2-0
