=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 
 # Uncomment this to turn on verbose mode.
-# export DH_VERBOSE=1
+export DH_VERBOSE=1
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 LIBDIR:=debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
@@ -14,7 +14,6 @@
 	dh $@  --with autoreconf
 
 override_dh_autoreconf:
-	libtoolize -c -f
 	dh_autoreconf --as-needed
 
 override_dh_auto_configure:
