=== prog/CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,6 @@
 add_executable(udunits2 udunits2.c)
 
 target_link_libraries(udunits2 libudunits2)
-target_link_libraries(udunits2 ${EXPAT_LIBRARY})
-target_link_libraries(udunits2 ${MATH_LIBRARY})
 set_target_properties(udunits2 PROPERTIES
     INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib"
     INSTALL_RPATH_USE_LINK_PATH "TRUE")
