=== debian/changelog ===
udunits (2.2.14-1) unstable; urgency=medium

  * New upstream release.
  * Add symbols file for libudunits2-0
  * Add symbol versioning to libudunits2-0.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 19 Jun 2014 21:06:48 +0100

udunits (2.2.11-1) unstable; urgency=medium

  * New upstream release.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 16 May 2014 18:44:14 +0100

udunits (2.2.4-1) unstable; urgency=medium

  * New upstream release.
  * Now use 'xz' compression.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 04 Mar 2014 13:10:40 +0000
