=== debian/changelog ===
udunits (2.2.17-1) UNRELEASED; urgency=medium

  * New upstream release. 

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 17 Sep 2014 11:59:23 +0100
