=== debian/changelog ===
udunits (2.2.19-1) unstable; urgency=medium

  * New upstream release. 
  * Standards-Version: 3.9.6 
  * Add Vcs-Git: to debian/control 

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 15 Jun 2015 10:07:51 +0100

udunits (2.2.17-1) unstable; urgency=medium

  * New upstream release.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 17 Sep 2014 11:59:23 +0100
