=== debian/changelog ===
udunits (2.2.20-1) unstable; urgency=medium

  * New upstream release.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 29 Oct 2015 03:49:40 +0000
