=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper (>= 9), gfortran, libexpat-dev, libcunit1, libcunit1-dev, texinfo, libtool, autotools-dev, autoconf, automake, texlive, , dh-autoreconf (>= 4~)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.unidata.ucar.edu/software/udunits/
+Vcs-Git: git://git.debian.org/git/debian-science/packages/udunits.git/
 
 Package: libudunits2-0
 Section: libs
