=== debian/rules ===
--- 
+++ 
@@ -2,12 +2,13 @@
 
 
 # Uncomment this to turn on verbose mode.
-export DH_VERBOSE=1
+#export DH_VERBOSE=1
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 LIBDIR:=debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
 PKGLIBDIR:=debian/libudunits2-0/usr/lib/$(DEB_HOST_MULTIARCH)
 DEVLIBDIR:=debian/libudunits2-dev/usr/lib/$(DEB_HOST_MULTIARCH)
+VERFILE:=$(shell pwd)/debian/udunits2.ver
 
 # magic debhelper rule
 %:
@@ -17,7 +18,8 @@
 	dh_autoreconf --as-needed
 
 override_dh_auto_configure:
-	LDFLAGS=" -Wl,--as-needed $(LDFLAGS)" dh_auto_configure -- --datarootdir=/usr/share/xml
+	LDFLAGS=" -Wl,--as-needed -Wl,--version-script,${VERFILE} $(LDFLAGS)" \
+			dh_auto_configure -- --datarootdir=/usr/share/xml
 
 override_dh_auto_install:
 	dh_auto_install
