=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3

# This the format for an FTP site:
# Full-site-with-pattern  [Version  [Action]]
ftp://ftp.unidata.ucar.edu/pub/udunits/udunits-(.*)\.tar\.Z  debian  uupdate
