## udunits 2.2.25

=== debian/changelog ===
udunits (2.2.25-1) unstable; urgency=medium

  * New upstream release
  * DH_COMPAT now 10
  * Standards-Version: 4.0.0; no changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 18 Jul 2017 10:27:08 +0100
