=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 9), gfortran, libexpat-dev, libcunit1, libcunit1-dev, texinfo, libtool, autotools-dev, autoconf, automake, texlive, , dh-autoreconf (>= 4~)
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 10), gfortran, libexpat-dev, libcunit1, libcunit1-dev, texinfo, libtool, autotools-dev, autoconf, automake, texlive, , dh-autoreconf (>= 4~)
+Standards-Version: 4.0.0
 Homepage: http://www.unidata.ucar.edu/software/udunits/
 Vcs-Git: git://git.debian.org/git/debian-science/packages/udunits.git/
