## udunits 2.2.26

=== debian/changelog ===
udunits (2.2.26-5) unstable; urgency=medium

  * Fix FTBFS on dpkg-buildpackage -A. Closes: #901118.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 11 Jun 2018 10:05:18 +0100

udunits (2.2.26-4) unstable; urgency=medium

  * Drop unnecessary B-D on gfortran
  * Standards-Version: 4.1.4; no changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 07 May 2018 10:31:01 +0100

udunits (2.2.26-3) unstable; urgency=medium

  * Add Breaks/Replaces because of files moved. Closes: #892048

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 04 Mar 2018 17:28:06 +0000

udunits (2.2.26-2) unstable; urgency=medium

  * Set VCS references to salsa.debian.org
  * Set libudunits-dev as M-A: same
  * Install all info files in -bin package, not lib; Closes: #873234

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 02 Mar 2018 10:50:14 +0000

udunits (2.2.26-1) unstable; urgency=medium

  * New upstream release
  * Drop redundant B-D on libcunit1
  * Drop redundant bits of d/rules now DH_COMPAT=10
  * Standards-Version: 4.1.3
  * Use secure URLs in homepage, VCS-Git in d/control

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 05 Jan 2018 12:08:18 +0000

udunits (2.2.25-2) unstable; urgency=medium

  * Split udunits shared data from libudunits2-0 library package to make
    it safely M-A: same

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 29 Aug 2017 10:15:22 +0100
