=== debian/control ===
--- 
+++ 
@@ -2,17 +2,22 @@
 Section: utils
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 10), gfortran, libexpat-dev, libcunit1, libcunit1-dev, texinfo, libtool, autotools-dev, autoconf, automake, texlive, , dh-autoreconf (>= 4~)
-Standards-Version: 4.0.0
-Homepage: http://www.unidata.ucar.edu/software/udunits/
-Vcs-Git: git://git.debian.org/git/debian-science/packages/udunits.git/
+Build-Depends: debhelper (>= 10), 
+ libexpat-dev, 
+ libcunit1-dev, 
+ texinfo, 
+ libtool, 
+ texlive 
+Standards-Version: 4.1.4
+Homepage: https://www.unidata.ucar.edu/software/udunits/
+Vcs-Browser: https://salsa.debian.org:/science-team/udunits.git
+Vcs-Git: https://salsa.debian.org:/science-team/udunits.git
 
 Package: libudunits2-0
 Section: libs
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}, dpkg (>= 1.15.4) | install-info
+Depends: libudunits2-data, ${misc:Depends}, ${shlibs:Depends}, dpkg (>= 1.15.4) | install-info
 Description: Library for handling of units of physical quantities
  The UDUNITS package supports units of physical quantities (e.g., meters, 
  seconds).  Specifically, it supports conversion between string and binary 
@@ -20,8 +25,24 @@
  numeric values between compatible units. The package is written in the 
  C programming language.
 
+Package: libudunits2-data
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Breaks: libudunits2-0 (<= 2.2.25-1)
+Replaces: libudunits2-0 (<= 2.2.25-1)
+Description: Data for handling of units of physical quantities
+ The UDUNITS package supports units of physical quantities (e.g., meters, 
+ seconds).  Specifically, it supports conversion between string and binary 
+ representations of units, arithmetic manipulation of units, and conversion of 
+ numeric values between compatible units. The package is written in the 
+ C programming language.
+ .
+ This package provides the data files used by the library.
+
 Package: libudunits2-dev
 Section: libdevel
+Multi-Arch: same
 Architecture: any
 Depends: libudunits2-0 ( = ${binary:Version}), ${misc:Depends}
 Recommends: pkg-config
@@ -38,6 +59,8 @@
 Section: utils
 Architecture: any
 Multi-Arch: foreign
+Breaks: libudunits2-0 (<= 2.2.26-2)
+Replaces: libudunits2-0 (<= 2.2.26-2)
 Depends: ${misc:Depends}, ${shlibs:Depends}, dpkg (>= 1.15.4) | install-info
 Description: Utility for handling units of physical quantities
  udunits is a utility  for handling units of physical quantities. It supports
