=== debian/rules ===
--- 
+++ 
@@ -12,10 +12,7 @@
 
 # magic debhelper rule
 %:
-	dh $@  --with autoreconf
-
-override_dh_autoreconf:
-	dh_autoreconf --as-needed
+	dh $@  
 
 override_dh_auto_configure:
 	LDFLAGS=" -Wl,--as-needed -Wl,--version-script,${VERFILE} $(LDFLAGS)" \
@@ -25,8 +22,9 @@
 	dh_auto_install
 	dh_installchangelogs CHANGE_LOG
 	$(MAKE) pdf html info
-	cp udunits2.info debian/libudunits2-0/usr/share/info
-	cp prog/*info debian/udunits-bin/usr/share/info
+	[ -e debian/udunits-bin ] && ( \
+		cp udunits2.info debian/udunits-bin/usr/share/info ; \
+		cp prog/*info debian/udunits-bin/usr/share/info ) || true
 	mkdir -p $(DEVLIBDIR)/pkgconfig
 	cp $(LIBDIR)/*.a $(DEVLIBDIR)
 	cp $(LIBDIR)/pkgconfig/* $(DEVLIBDIR)/pkgconfig
